#include "defines.h"
#include "acmp.h"
#include "FAT32.h"

// #define _VFAT_があったら_VFAT対応になる
//#define	DEBUG	1

int
#ifdef _VFAT_
VCHMOD32
#else
CHMOD32
#endif
	(unchar *path,int atr)
// ファイル属性変更(FAT32)
{
FILE32 fp;
int ret;
	// ここではワイルドカードは認めない
	if (check_wild(path)) return(-11); // ワイルドカードがある
	if (CheckParentDir(path)) return(-12); // "."または".."である。これらは変更してはいけない。
	
	// ファイル/ディレクトリ/ボリューム名検索
	ret=
	#ifdef _VFAT_
		_VFILES32
	#else
		_FILES32
	#endif
		(&fp,(unchar*)path,FA_ARCH|FA_VOL|FA_DIREC,1);
	if (ret) return(-ret); // 負数にする
	
	return(_Attrib32(&fp,atr));
}
